import * as MsClient from "cn.keytop.midend.microservice.Client";
/**
 * 使用示例：
 * import * as userAdminMsClient from 'stc.ms.UserAdmin'
 *
 * const userAdminMsClient = new userAdminMsClient.UserAdmin()
 *  userAdminMsClient.fun1('aaa','bbb','ccc')
 * .catch(error => {console.log(error)})
 * .then(value => {console.log(value)})
 *
 *
 * @author 微服务平台自动生成
 * @desc [演示-用户基本信息管理]接口定义
 * @date 2020-03-28 18:14:14
 **/
export declare class UserAdmin {
    private pid;
    private version;
    private authType;
    private serviceClient;
    constructor(serviceClientConfig?: MsClient.ServiceClientConfig);
    get(id: string): Promise<Get$Models.ApiResult>;
    add(addUserInfo: Add$Models.AddUserInfo): Promise<Add$Models.ApiResult>;
    update(userInfo: Update$Models.UserInfo): Promise<Update$Models.ApiResult>;
    delete(id: string): Promise<Delete$Models.ApiResult>;
}
export declare namespace Get$Models {
    class Map {
        private _ms_response_data$$$;
        constructor(value: any);
    }
    class UserInfo {
        private _ms_response_data$$$;
        private _extattr;
        constructor(value: any);
        get id(): string;
        set id(value: string);
        get name(): string;
        set name(value: string);
        get alias(): string;
        set alias(value: string);
        get email(): string;
        set email(value: string);
        get mobile(): string;
        set mobile(value: string);
        get avatar(): string;
        set avatar(value: string);
        get extattr(): Map;
        set extattr(value: Map);
        get entryTime(): Date | undefined;
        set entryTime(value: Date | undefined);
    }
    class ApiResult$Companion {
        private _ms_response_data$$$;
        constructor(value: any);
    }
    class ApiResult {
        private _ms_response_data$$$;
        private _data;
        private _companion;
        constructor(value: any);
        get data(): UserInfo;
        set data(value: UserInfo);
        get code(): string;
        set code(value: string);
        get message(): string;
        set message(value: string);
        get SUCCESS_CODE(): string;
        set SUCCESS_CODE(value: string);
        get FAIL_CODE(): string;
        set FAIL_CODE(value: string);
        get Companion(): ApiResult$Companion;
        set Companion(value: ApiResult$Companion);
    }
}
export declare namespace Add$Models {
    class Map {
    }
    class AddUserInfo {
        name?: string;
        alias?: string;
        email?: string;
        mobile?: string;
        avatar?: string;
        extattr?: Map;
        entryTime?: number;
    }
    class ApiResult$Companion {
        private _ms_response_data$$$;
        constructor(value: any);
    }
    class ApiResult {
        private _ms_response_data$$$;
        private _companion;
        constructor(value: any);
        get data(): string;
        set data(value: string);
        get code(): string;
        set code(value: string);
        get message(): string;
        set message(value: string);
        get SUCCESS_CODE(): string;
        set SUCCESS_CODE(value: string);
        get FAIL_CODE(): string;
        set FAIL_CODE(value: string);
        get Companion(): ApiResult$Companion;
        set Companion(value: ApiResult$Companion);
    }
}
export declare namespace Update$Models {
    class Map {
    }
    class UserInfo {
        id?: string;
        name?: string;
        alias?: string;
        email?: string;
        mobile?: string;
        avatar?: string;
        extattr?: Map;
        entryTime?: number;
    }
    class Object {
        private _ms_response_data$$$;
        constructor(value: any);
    }
    class ApiResult$Companion {
        private _ms_response_data$$$;
        constructor(value: any);
    }
    class ApiResult {
        private _ms_response_data$$$;
        private _data;
        private _companion;
        constructor(value: any);
        get data(): Object;
        set data(value: Object);
        get code(): string;
        set code(value: string);
        get message(): string;
        set message(value: string);
        get SUCCESS_CODE(): string;
        set SUCCESS_CODE(value: string);
        get FAIL_CODE(): string;
        set FAIL_CODE(value: string);
        get Companion(): ApiResult$Companion;
        set Companion(value: ApiResult$Companion);
    }
}
export declare namespace Delete$Models {
    class Object {
        private _ms_response_data$$$;
        constructor(value: any);
    }
    class ApiResult$Companion {
        private _ms_response_data$$$;
        constructor(value: any);
    }
    class ApiResult {
        private _ms_response_data$$$;
        private _data;
        private _companion;
        constructor(value: any);
        get data(): Object;
        set data(value: Object);
        get code(): string;
        set code(value: string);
        get message(): string;
        set message(value: string);
        get SUCCESS_CODE(): string;
        set SUCCESS_CODE(value: string);
        get FAIL_CODE(): string;
        set FAIL_CODE(value: string);
        get Companion(): ApiResult$Companion;
        set Companion(value: ApiResult$Companion);
    }
}
